// Cette classe est maintenant obsolete: generaldata <==> ntuple pour le dessin

#ifndef PIGFD1_H
#define PIGFD1_H

#include "generaldata.h"
#include "pidrawer.h"

class PIGenFitDat : public PIDrawer {
public:
                     PIGenFitDat(GeneralFitData* gfd, bool ad);
  virtual           ~PIGenFitDat();
  
  virtual void       Draw(PIGraphicUC* g, double xmin, double ymin, double xmax, double ymax);
  virtual void       UpdateLimits();
  
          void       SelectX(int varx);
          void       SelectErrBar(bool erbx,bool erby);

// Renvoie une distance au point x,y
  virtual double     GetDistanceToPoint(double x, double y);
       
protected:
  GeneralFitData* mGFD;
  bool mAdDO;
  int VarX;          // numero de variable X ds le GeneralFitData
  bool ErrX,ErrY;    // Erreur en X et Y ?
  long NptDraw; // nombre de points effectivement dessines dans la fenetre
};

#endif

